Subject: Re: bug#60525: 29.0.60; tree-sitter support in semantic-symref

From: Stefan Monnier <[email-masked]>
Date: Wed, 04 Jan 2023 14:38:26 -0500

>> - move the info from `semantic-symref-filepattern-alist` to
>>   a buffer-local `semantic-symref-filepattern` which is set by the major
>>   modes, so the same setting can be shared by the various modes like all
>>   the other buffer-local settings (`comment-start`, ...).
>>
>> BTW, I see that the info provided by `semantic-symref-filepattern-alist`
>> could be (re)used also in `C-u M-x grep`.
>
> Fine with me, but that is hardly for the release branch.

None of the my "alternatives" were meant for `emacs-29`, indeed (tho
apparently there's a `ruby-base-mode` so it could have been an option,
if it weren't for the fact that `semantic-symref-filepattern-alist` is
too simplistic for that).

        Stefan